<?php
///////////////////////////////////////////////////////////////////////////////
//	
//	  This file is part of ZenCartToVirtueMart.
//
//    ZenCartToVirtueMart is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    ZenCartToVirtueMart is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with ZenCartToVirtueMart.  If not, see <http://www.gnu.org/licenses/>.
// 
//////////////////////////////////////////////////////////////////////////////

/**
 * Author: Marko Tomic
 * Date: 22/Apr/2010
 * marko@markomedia.com.au
 * www.markomedia.com.au
 * v1.0
 */

/* Connect to a MySQL server */
function checkDBConn() {
	$mysqli = new mysqli('127.0.0.1', 'user', 'password', 'dbname');
	
	if (mysqli_connect_errno()) {
	   printf("Can't connect to MySQL Server. Errorcode: %s\n", mysqli_connect_error());
	   exit;
	}
	
	return $mysqli;
}	

function getSubCat($category_id) {
	$mysqli = checkDBConn();
	
	$sub_qry = 'SELECT  c.categories_id, ' .
						'c.parent_id,' .
						'c.categories_image as category_full_image,' .
						'c.categories_image as category_thumb_image,' .
						'cd.categories_name as category_path,' . 
						'cd.categories_description as categories_description,' .
						'1 as category_products_per_row,' .
					    '"tpbrowse" as category_browsepage,' .
					    '"tpflypage.tpl" as category_flypage,' .
					    '"Y" as category_publish,' .
					    '1 as category_list_order ' .
				'FROM categories_description cd ' .
				'INNER JOIN categories c ON (c.categories_id = cd.categories_id and ' . 
											'c.parent_id = ' . $category_id . ' )' . 
				'ORDER BY cd.categories_name';
	
	$subCat = $mysqli->query($sub_qry);
	
	//echo("SUB QRY:: ". $sub_qry);
	
	return $subCat;
}

$mysqli = checkDBConn();

/* Send a query to the server */
$sql = 'SELECT ca.categories_id,' .
			  'ca.parent_id,' .
			  'ca.categories_image as category_full_image,' .
			  'ca.categories_image as category_thumb_image,' .
			  'cd.categories_name as category_path,' .
			  'cd.categories_description as categories_description,' .
			  '1 as category_products_per_row,' .
			  '"tpbrowse" as category_browsepage,' .
			  '"tpflypage.tpl" as category_flypage,' .
			  '"Y" as category_publish,' .
			  '1 as category_list_order ' .
		'FROM categories_description cd ' .
		'INNER JOIN categories ca ON (ca.categories_id = cd.categories_id) ' . 
		'WHERE ca.parent_id = 0 ' .
		'ORDER BY cd.categories_name';

//echo($sql);
$result = $mysqli->query($sql);

?>